Ticket #41303

Japanese encoding for KWD_* macros on Linux/Mac

Open Date: 2021-01-21 06:05 Last Update: 2021-01-24 11:17

Reporter:
Owner:
Type:
Status:
Closed
Component:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
1

Details

When compiled for Japanese on Linux or Mac, the character encoding for the KWD_* macros used in the spell lists is not handled appropriately. On those platforms, only .c files are preprocessed to convert to EUC-JP while the .h files (like cmd-spell.h which sets the KWD_* macros) are not touched. The attached screen shot shows the effect of that with a version of the hengbandforosx project compiled with the current develop branch of Hengband: the "損傷" characters for the damage description are garbled in a mindcrafter's spell list.

This problem appears to have been introduced in the 1.6 -> 2.* transition and is not new to the 2.* -> 3.* changes. It has a similar underlying cause to issue 41161, https://osdn.net/projects/hengband/ticket/41161 .

This commit, https://osdn.net/projects/hengbandforosx/scm/git/hengbandosx/commits/aa43387e4e2019bd4f316611e035f6f749a50644 , on the japanese-KWD-macros branch (based on the develop branch of hengband) of the hengbandforosx project has a workaround: it converts the KWD_* macros to const char pointers and puts the initializers for those in cmd-spell.c.

Ticket History (3/6 Histories)

2021-01-21 06:05 Updated by: backwardseric
  • New Ticket "Japanese encoding for KWD_* macros on Linux/Mac" created
2021-01-21 08:20 Updated by: deskull
Comment

OK, I'll check and marge it for main repository.

2021-01-23 11:47 Updated by: hourier
  • Owner Update from deskull to hourier
  • Resolution Update from None to Accepted
2021-01-23 15:07 Updated by: hourier
  • Owner Update from hourier to deskull
  • Resolution Update from Accepted to Fixed
Comment

修正しました
ブランチfeature/Fix-English-Bugs にpush予定です

2021-01-24 11:17 Updated by: deskull
  • Status Update from Open to Closed
  • Owner Update from deskull to hourier
Comment

他件と含めてマージ完了。

Attachment File List

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login